Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Index.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Index.php	(revision 19661)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Index.php	(revision 19661)
@@ -0,0 +1,78 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
+
+/**
+ * 管理者ログイン のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id: LC_Page_Admin.php 18701 2010-06-14 08:30:18Z nanasess $
+ */
+class LC_Page_Admin_Index extends LC_Page_Admin {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'login.tpl';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
+        $this->setTemplate(LOGIN_FRAME);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Login.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Login.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Login.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Login extends LC_Page {
+class LC_Page_Admin_Login extends LC_Page_Admin {
 
     // {{{ properties
@@ -57,4 +57,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
         $this->objSess = new SC_Session();
@@ -72,5 +82,5 @@
         if($ret) {
             // 成功
-            $this->sendRedirect($this->getLocation(URL_HOME));
+            $this->objDisplay->redirect($this->getLocation(URL_HOME));
             exit;
         } else {
Index: /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/LC_Page_Admin_Logout.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Logout extends LC_Page {
+class LC_Page_Admin_Logout extends LC_Page_Admin {
 
     // }}}
@@ -55,5 +55,5 @@
         $objSess->logout();
 
-        $this->sendRedirect($this->getLocation(URL_DIR . "admin/" . DIR_INDEX_URL));
+        $this->objDisplay->redirect($this->getLocation(URL_DIR . "admin/" . DIR_INDEX_URL));
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_Template extends LC_Page {
+class LC_Page_Admin_Mail_Template extends LC_Page_Admin {
 
     // }}}
@@ -60,6 +60,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objSess = new SC_Session();
 
@@ -83,5 +92,5 @@
             $objQuery->query($sql, array($_GET['id']));
 
-            $this->reload(null, true);
+            $this->objDisplay->reload(null, true);
         }
 
@@ -89,7 +98,4 @@
         $sql = "SELECT *, create_date as disp_date FROM dtb_mailmaga_template WHERE del_flg = 0 ORDER BY create_date DESC";
         $this->list_data = $objQuery->getAll($sql);
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_TemplateInput extends LC_Page {
+class LC_Page_Admin_Mail_TemplateInput extends LC_Page_Admin {
 
     // }}}
@@ -60,6 +60,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objSess = new SC_Session();
 
@@ -99,5 +108,5 @@
                 $this->lfRegistData( $this->arrForm, $_POST['template_id']);
                 // 自分を再読込して、完了画面へ遷移
-                $this->reload(array("mode" => "complete"));
+                $this->objDisplay->reload(array("mode" => "complete"));
             }
 
@@ -107,6 +116,4 @@
             $this->tpl_mainpage = 'mail/template_complete.tpl';
         }
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Sendmail.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_Sendmail extends LC_Page {
+class LC_Page_Admin_Mail_Sendmail extends LC_Page_Admin {
     
     var $objMail;
@@ -178,5 +178,5 @@
         }
         if ($_GET['mode'] == 'now') {
-            $this->sendRedirect($this->getLocation(URL_DIR . 'admin/mail/history.php'));
+            $this->objDisplay->redirect($this->getLocation(URL_DIR . 'admin/mail/history.php'));
         }
         echo "complete\n";
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 19628)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail extends LC_Page {
+class LC_Page_Admin_Mail extends LC_Page_Admin {
 
     // }}}
@@ -148,7 +148,15 @@
      */
     function process() {
-
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // ページ初期設定
-        $objView = new SC_AdminView();
         $objDate = new SC_Date();
         $objQuery = new SC_Query();
@@ -202,8 +210,5 @@
 
             $this->list_data = $list_data;
-
-            $objView->assignobj($this);
-            $objView->display($tpl_path);
-            exit;
+            return;
         }
 
@@ -359,7 +364,7 @@
                     if (MELMAGA_SEND) {
                         if (MELMAGA_BATCH_MODE) {
-                            $this->sendRedirect($this->getLocation(URL_DIR . 'admin/mail/history.php'));
+                            $this->objDisplay->redirect($this->getLocation(URL_DIR . 'admin/mail/history.php'));
                         } else {
-                            $this->sendRedirect($this->getLocation(URL_DIR . 'admin/mail/sendmail.php', array('mode' => 'now', 'send_id' => $sendId)));
+                            $this->objDisplay->redirect($this->getLocation(URL_DIR . 'admin/mail/sendmail.php', array('mode' => 'now', 'send_id' => $sendId)));
                         }
                         exit;
@@ -385,8 +390,5 @@
         $this->arrCatList = $objDb->sfGetCategoryList();
 
-        // ページ表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
-
+        $this->arrCampaignList = $this->lfGetCampaignList($objQuery);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_History.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_History extends LC_Page {
+class LC_Page_Admin_Mail_History extends LC_Page_Admin {
 
     // }}}
@@ -58,7 +58,16 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // ページ初期設定
         $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objSess = new SC_Session();
         $objDate = new SC_Date();
@@ -77,5 +86,5 @@
             $objQuery->query($sql, array($_GET['send_id']) );
             $_SERVER['QUERY_STRING'] = "";
-            $this->reload();
+            $this->objDisplay->reload();
         }
         $from = "dtb_send_history";
@@ -108,8 +117,4 @@
         // 検索結果の取得
         $this->arrDataList = $objQuery->select($col, $from, $where, $arrval);
-
-        // ページ表示
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_Preview.php	(revision 19661)
@@ -23,5 +23,5 @@
 
   // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 
 /**
@@ -32,5 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_Preview extends LC_Page {
+class LC_Page_Admin_Mail_Preview extends LC_Page_Admin {
 
     // }}}
@@ -53,6 +53,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
-        $objView = new SC_AdminView();
         $objSess = new SC_Session();
         $objDate = new SC_Date();
@@ -134,7 +143,4 @@
             }
         }
-
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/admin/total/LC_Page_Admin_Total.php	(revision 19661)
@@ -23,5 +23,5 @@
 
 // {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
+require_once(CLASS_PATH . "pages/admin/LC_Page_Admin.php");
 require_once(CLASS_EX_PATH . "batch_extends/SC_Batch_Daily_Ex.php");
 require_once(CLASS_PATH . "graph/SC_GraphPie.php");
@@ -36,5 +36,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Total extends LC_Page {
+class LC_Page_Admin_Total extends LC_Page_Admin {
 
     // }}}
@@ -89,5 +89,14 @@
      */
     function process() {
-        $objView = new SC_AdminView();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objSess = new SC_Session();
 
@@ -258,6 +267,4 @@
 
         $this->tpl_subtitle = $this->arrTitle[$this->objFormParam->getValue('page')];
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 18859)
+++ /branches/version-2_5-dev/data/class/pages/cart/LC_Page_Cart.php	(revision 19661)
@@ -69,9 +69,18 @@
      */
     function process() {
-
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objView = new SC_SiteView(false);
         $objCartSess = new SC_CartSession();
         $objSiteSess = new SC_SiteSession();
-        $objCampaignSess = new SC_CampaignSession();
         $objSiteInfo = $objView->objSiteInfo;
         $objCustomer = new SC_Customer();
@@ -126,5 +135,5 @@
                 $objCartSess->saveCurrentCart($uniqid, $cartKey);
                 // 購入ページへ
-                $this->sendRedirect(URL_SHOP_TOP);
+                $this->objDisplay->redirect(URL_SHOP_TOP);
                 exit;
             }
@@ -158,8 +167,4 @@
         // 前頁のURLを取得
         $this->tpl_prev_url = $objCartSess->getPrevURL();
-
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
     }
 
@@ -179,8 +184,18 @@
      */
     function mobileProcess() {
-
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         // 買い物を続ける場合
         if ($_REQUEST['mode'] == 'continue') {
-            $this->sendRedirect($this->getLocation(MOBILE_URL_SITE_TOP), true);
+            $this->objDisplay->redirect($this->getLocation(MOBILE_URL_SITE_TOP));
             exit;
         }
@@ -230,5 +245,5 @@
                 $objCartSess->saveCurrentCart($uniqid);
                 // 購入ページへ
-                $this->sendRedirect(MOBILE_URL_SHOP_TOP, true);
+                $this->objDisplay->redirect(MOBILE_URL_SHOP_TOP);
                 exit;
             }
@@ -281,7 +296,4 @@
         // 前頁のURLを取得
         $this->tpl_prev_url = $objCartSess->getPrevURL();
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 19547)
+++ /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact.php	(revision 19661)
@@ -82,8 +82,14 @@
      */
     function process() {
-        global $objCampaignSess;
-
-        $this->objView = new SC_SiteView();
-        $objCampaignSess = new SC_CampaignSession();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objDb = new SC_Helper_DB_Ex();
         $CONF = $objDb->sf_getBasisData();			// 店舗基本情報
@@ -115,9 +121,4 @@
               break;
         }
-
-        //----　ページ表示
-        $this->objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($this->objView);
     }
 
@@ -137,12 +138,16 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objDb = new SC_Helper_DB_Ex();
-        $CONF = $objDb->sf_getBasisData();			// 店舗基本情報
-
-        //----　ページ表示
-        $objView->assignobj($this);
-        $objView->assignarray($CONF);
-        $objView->display(SITE_FRAME);
+        $this->CONF = $objDb->sf_getBasisData();			// 店舗基本情報
     }
 
@@ -200,5 +205,5 @@
             $this->lfSendMail($this);
             // 完了ページへ移動する
-            $this->sendRedirect($this->getLocation("./complete.php", array(), true));
+            $this->objDisplay->redirect($this->getLocation("./complete.php", array(), true));
             exit;
         } else {
Index: /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 19661)
@@ -55,20 +55,17 @@
      */
     function process() {
-        global $objCampaignSess;
+        $this->action();
+        $this->sendResponse();
+    }
 
-        $objView = new SC_SiteView();
-        $objCampaignSess = new SC_CampaignSession();
-
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // レイアウトデザインを取得
         $layout = new SC_Helper_PageLayout_Ex();
         $layout->sfGetPageLayout($this, false, DEF_LAYOUT);
-
-        // キャンペーンからの遷移かチェック
-        $this->is_campaign = $objCampaignSess->getIsCampaign();
-        $this->campaign_dir = $objCampaignSess->getCampaignDir();
-
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/magazine/LC_Page_Magazine_Confirm.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/magazine/LC_Page_Magazine_Confirm.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/magazine/LC_Page_Magazine_Confirm.php	(revision 19661)
@@ -143,5 +143,5 @@
 
             // 完了ページに移動させる。
-            $this->sendRedirect($this->getLocation("./complete.php",
+            $this->objDisplay->redirect($this->getLocation("./complete.php",
                                 array(session_name() => session_id())));
             exit;
Index: /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist.php	(revision 19661)
@@ -57,5 +57,16 @@
      */
     function process() {
-        $objView = new SC_SiteView();
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
+        //$objView = new SC_SiteView();
         $objSiteInfo = $objView->objSiteInfo;
         $objCustomer = new SC_Customer();
@@ -86,5 +97,5 @@
                 $etc_val['ci'] = $arrRet[0]['customer_id'];
                 $_SERVER['QUERY_STRING'] = NULL;
-                $this->sendRedirect($this->getLocation("./complete.php", $etc_val));
+                $this->objDisplay->redirect($this->getLocation("./complete.php", $etc_val));
                 exit;
             }
@@ -96,6 +107,6 @@
 
         //----　ページ表示
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
@@ -115,5 +126,16 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+        //$objView = new SC_MobileView();
         $objSiteInfo = $objView->objSiteInfo;
         $objCustomer = new SC_Customer();
@@ -138,5 +160,5 @@
                 $email = $objQuery->get("dtb_customer", "email", "secret_key = ?", array($registSecretKey));
                 $objCustomer->setLogin($email);
-                $this->sendRedirect($this->getLocation("./complete.php"), true);
+                $this->objDisplay->redirect($this->getLocation("./complete.php"));
                 exit;
             }
@@ -150,6 +172,6 @@
 
         //----　ページ表示
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 19628)
+++ /branches/version-2_5-dev/data/class/pages/regist/LC_Page_Regist_Complete.php	(revision 19661)
@@ -55,7 +55,17 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction.
+     *
+     * @return void
+     */
+    function action() {
         global $objCampaignSess;
 
-        $objView = new SC_SiteView();
         $objQuery = new SC_Query();
         $objCampaignSess = new SC_CampaignSession();
@@ -64,7 +74,4 @@
         $helper = new SC_Helper_PageLayout_Ex();
         $helper->sfGetPageLayout($this, false, DEF_LAYOUT);
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
@@ -84,5 +91,17 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        parent::mobileProcess();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のAction(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
+
+        //$objView = new SC_MobileView();
 
         // カートが空かどうかを確認する。
@@ -90,6 +109,6 @@
         $this->tpl_cart_empty = count($objCartSess->getCartList()) < 1;
 
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        //$objView->assignobj($this);
+        //$objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/abouts/LC_Page_Abouts.php	(revision 19661)
@@ -55,13 +55,18 @@
      */
     function process() {
+        parent::process();
+        $this->action();
+        $this->sendResponse();
+    }
 
-        $objView = new SC_SiteView();
-
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // レイアウトデザインを取得
         $layout = new SC_Helper_PageLayout_Ex();
         $layout->sfGetPageLayout($this, false, DEF_LAYOUT);
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 18820)
+++ /branches/version-2_5-dev/data/class/pages/forgot/LC_Page_Forgot.php	(revision 19661)
@@ -65,13 +65,15 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objQuery = new SC_Query();
-        $objView = null;
-
-        if (defined("MOBILE_SITE") && MOBILE_SITE) {
-            $objView = new SC_MobileView();
-        } else {
-            $objView = new SC_SiteView(false);
-        }
-
         $objSess = new SC_Session();
 
@@ -175,8 +177,4 @@
             $this->createMobileToken();
         }
-
-        //----　ページ表示
-        $objView->assignobj($this);
-        $objView->display($this->tpl_mainpage);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Complete.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Complete.php	(revision 19661)
@@ -65,11 +65,16 @@
      */
     function process() {
-        global $objCampaignSess;
+        $this->action();
+        $this->sendResponse();
+    }
 
-        $objView = new SC_SiteView();
-        $objCampaignSess = new SC_CampaignSession();
-
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         // transaction check
-        if (!$this->isValidToken()) {
+        if (!SC_Helper_Session_Ex::isValidToken()) {
             SC_Utils_Ex::sfDispSiteError(PAGE_ERROR, "", true);
         }
@@ -78,12 +83,4 @@
         $layout = new SC_Helper_PageLayout_Ex();
         $layout->sfGetPageLayout($this, false, DEF_LAYOUT);
-
-        // キャンペーンからの遷移がチェック
-        $this->is_campaign = $objCampaignSess->getIsCampaign();
-        $this->campaign_dir = $objCampaignSess->getCampaignDir();
-
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
     }
 
@@ -103,13 +100,17 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        $this->mobileAction();
+        $this->sendResponse();
+    }
 
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         // レイアウトデザインを取得
         $objLayout = new SC_Helper_PageLayout_Ex();
         $objLayout->sfGetPageLayout($this, false, DEF_LAYOUT);
-
-        //----　ページ表示
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_New.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_New.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_New.php	(revision 19661)
@@ -52,4 +52,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
     }
 
@@ -69,7 +79,14 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
     }
 
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_Kiyaku.php	(revision 19661)
@@ -54,9 +54,15 @@
      */
     function process() {
-        global $objCampaignSess;
+        $this->action();
+        $this->sendResponse();
+    }
 
-        $objView = new SC_SiteView();
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
         $objCustomer = new SC_Customer();
-        $objCampaignSess = new SC_CampaignSession();
 
         // レイアウトデザインを取得
@@ -75,12 +81,4 @@
             $this->tpl_kiyaku_text.=$arrRet[$i]['kiyaku_text'] . "\n\n";
         }
-
-        // キャンペーンからの遷移がチェック
-        $this->is_campaign = $objCampaignSess->getIsCampaign();
-        $this->campaign_dir = $objCampaignSess->getCampaignDir();
-
-        $objView->assignobj($this);
-        // フレームを選択(キャンペーンページから遷移なら変更)
-        $objCampaignSess->pageView($objView);
     }
 
@@ -100,5 +98,14 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView();
+        $this->mobilAection();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objCustomer = new SC_Customer();
 
@@ -129,8 +136,4 @@
             $this->tpl_kiyaku_text.=$arrRet[$i]['kiyaku_text'] . "\n\n";
         }
-
-        $objView->assign("offset", $next);
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
Index: /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php
===================================================================
--- /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 18701)
+++ /branches/version-2_5-dev/data/class/pages/entry/LC_Page_Entry_EmailMobile.php	(revision 19661)
@@ -52,4 +52,14 @@
      */
     function process() {
+        $this->action();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション.
+     *
+     * @return void
+     */
+    function action() {
     }
 
@@ -70,5 +80,14 @@
      */
     function mobileProcess() {
-        $objView = new SC_MobileView;
+        $this->mobileAction();
+        $this->sendResponse();
+    }
+
+    /**
+     * Page のアクション(モバイル).
+     *
+     * @return void
+     */
+    function mobileAction() {
         $objCustomer = new SC_Customer;
         $objFormParam = new SC_FormParam;
@@ -104,7 +123,4 @@
         $this->tpl_name = $objCustomer->getValue('name01');
         $this->arrForm = $objFormParam->getFormParamList();
-
-        $objView->assignobj($this);
-        $objView->display(SITE_FRAME);
     }
 
